package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.product.ProductColor;

/**
 * 产品颜色	mapper
 * 2017年2月5日
 * @author muzx
 */
public interface ProductColorMapper {
	/**
	 * 添加一个产品颜色
	 * 2017年2月5日
	 * @author muzx
	 * @return
	 */
	Integer insertProductColor(ProductColor produColor);
	
	/**
	 * 批量产品颜色
	 * 2017年4月13日
	 * @author muzx
	 * @return
	 */
	Integer insertProductColorList(List<ProductColor> colorList);
	
	/**
	 * 查询产品对应颜色
	 * @param colorProductId
	 * @return
	 */
	List<ProductColor> getLeaseProductColor(Integer colorProductId);
	
	
	/**
	 * 分页获取产品颜色列表
	 * 2017年2月5日
	 * @author muzx
	 * @param productColor
	 * @return
	 */
	List<ProductColor> selectProductColorList(ProductColor productColor);
	
	/**
	 * 获取产品颜色总数
	 * 2017年2月5日
	 * @author muzx
	 * @param productColor
	 * @return
	 */
	int selectProductColorCount(ProductColor productColor);
	
	/**
	 * 根据颜色id 查询一个产品颜色信息
	 * 2017年2月5日
	 * @author muzx
	 * @param colorId
	 * @return
	 */
	ProductColor selectProductColorById(Integer colorId);
	
	/**
	 * 根据颜色id 修改一个产品颜色信息
	 * 2017年2月5日
	 * @param productColor
	 * @return
	 */
	Integer updateProductColorById(ProductColor productColor);

	/**
	 * 
	 * @param productId
	 * @return
	 * @author 献
	 * @Time   2017年2月16日
	 */
	List<ProductColor> getColor(Integer productId);
}
